###########################################################################
# cgkit - Python Computer Graphics Kit
# Copyright (C) 2004 Matthias Baas (baas@ira.uka.de)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# cgkit homepage: http://cgkit.sourceforge.net
###########################################################################
# $Id: beziercurve.py,v 1.2 2005/09/02 12:58:02 mbaas Exp $

from cgtypes import *
from Interfaces import *
from worldobject import WorldObject
from beziercurvegeom import BezierCurveGeom
import protocols
import _core

# BezierCurve
class BezierCurve(WorldObject):

    protocols.advise(instancesProvide=[ISceneItem])

    def __init__(self,
                 name = "BezierCurve",
                 pnts = None,
                 closed = False,
                 epsilon = 0.01,
                 subdiv = 4,
                 show_tangents = False,
                 curvegeom = None,
                 **params):
        WorldObject.__init__(self, name=name, **params)

        if curvegeom!=None:
            self.geom = curvegeom
        else:
            self.geom = BezierCurveGeom(pnts=pnts, closed=closed, epsilon=epsilon, subdiv=subdiv, show_tangents=show_tangents)
